> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anny.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a given display's configuration



## OpenAPI

````yaml /developers/openapi/additional-internal.openapi.json get /api/v1/displays/{mac_address}
openapi: 3.1.0
info:
  title: Additional Internal API
  version: '1.0'
servers:
  - url: https://b.anny.co
    description: Production
  - url: https://b.anny.eu
    description: Gov-Cloud
security: []
paths:
  /api/v1/displays/{mac_address}:
    parameters:
      - name: mac_address
        in: path
        required: true
        description: The display MAC address.
        schema:
          type: string
    get:
      tags:
        - Displays
      summary: Get a given display's configuration
      operationId: get-displays-record
      parameters:
        - schema:
            type: string
          in: query
          name: secret
      responses:
        '200':
          description: OK
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/displays.v1'
              examples:
                example-1:
                  value:
                    data:
                      id: string
                      type: displays
                      attributes:
                        mac_adress: string
                        name: string
                        width: 0
                        heigth: 0
                        orientation: landscape
                        locale: string
                        battery_level: 0
                        temperature: 0
                        version: string
                        config:
                          wifi_rssi: string
                          wifi_ssid: string
                          last_seen_at: '2019-08-24T14:15:22Z'
                          restartReason: 0
                          initially_seen_at: '2019-08-24T14:15:22Z'
                        layout: default
                        last_synced_at: '2019-08-24T14:15:22Z'
                        anonymize: true
                        created_at: '2019-08-24T14:15:22Z'
                      meta:
                        is_paired: true
                        has_resource: true
                        update_available: true
                      relationships:
                        resources:
                          id: string
                        owner:
                          id: string
                        display_type:
                          id: string
                      links:
                        self: http://example.com
components:
  schemas:
    displays.v1:
      $schema: https://json-schema.org/draft/2020-12/schema
      x-version: 1.1.0
      title: Display
      type: object
      description: A physical display device showing booking information.
      x-tags:
        - Models
      properties:
        id:
          type: string
        type:
          type: string
          default: displays
        attributes:
          type: object
          properties:
            mac_address:
              type: string
              description: Device MAC address
            name:
              type: string
              description: Display name
            width:
              type: integer
              description: Screen width
            height:
              type: integer
              description: Screen height
            orientation:
              type: string
              description: Screen orientation
            locale:
              type: string
              description: Display locale
            timezone:
              type: string
              description: IANA timezone
            battery_level:
              type:
                - number
                - 'null'
              description: Battery level percentage
            temperature:
              type:
                - number
                - 'null'
              description: Device temperature
            version:
              type:
                - string
                - 'null'
              description: Firmware version
            config:
              type: object
              description: Device configuration
            layout:
              type: object
              description: Display layout configuration
            last_synced_at:
              type:
                - string
                - 'null'
              description: Last sync timestamp
            anonymize:
              type: boolean
              description: Whether to anonymize displayed data
            created_at:
              type: string
              description: Creation timestamp
        links:
          $ref: '#/components/schemas/links.v1'
        relationships:
          type: object
          properties:
            resources:
              type: object
              description: Resources shown on this display
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      id:
                        type: string
                links:
                  $ref: '#/components/schemas/links.v1'
            owner:
              type: object
              description: Owning organization
              properties:
                data:
                  type:
                    - object
                    - 'null'
                  properties:
                    type:
                      type: string
                    id:
                      type: string
                links:
                  $ref: '#/components/schemas/links.v1'
            display_type:
              type: object
              description: Display type
              properties:
                data:
                  type:
                    - object
                    - 'null'
                  properties:
                    type:
                      type: string
                    id:
                      type: string
                links:
                  $ref: '#/components/schemas/links.v1'
        meta:
          type: object
          properties:
            is_paired:
              type: boolean
              description: Whether device is paired
            has_resource:
              type: boolean
              description: Whether a resource is assigned
            update_available:
              type: boolean
              description: Whether firmware update is available
    links.v1:
      $schema: https://json-schema.org/draft/2020-12/schema
      x-version: 1.1.0
      title: ResourceLinks
      x-tags:
        - Models
      type: object
      description: JSON:API self-link object
      properties:
        self:
          type: string
          format: uri

````